Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.rowset
Class OptimisticConflictException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--weblogic.jdbc.rowset.OptimisticConflictException

public class OptimisticConflictException
extends java.sql.SQLException

An exception thrown when an optimistic conflict occurs during WLCachedRowSet.acceptChanges

A version conflict occurs when the underlying data in the database has changed after the WLCachedRowSet read the data into memory but before it can write back to the database. The exact circumstances that produce an OptimisticConflictException depend on the optimistic policy being used.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLRowSetMetaData`, Serialized Form

Constructor Summary
`OptimisticConflictException()`
`OptimisticConflictException(java.lang.String reason)`
`OptimisticConflictException(java.lang.String reason, java.lang.String sqlState)`
`OptimisticConflictException(java.lang.String reason, java.lang.String sqlState, int vendorCode)`

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptimisticConflictException

    public OptimisticConflictException()

### OptimisticConflictException

    public OptimisticConflictException(java.lang.String reason)

### OptimisticConflictException

    public OptimisticConflictException(java.lang.String reason,
                                       java.lang.String sqlState)

### OptimisticConflictException

    public OptimisticConflictException(java.lang.String reason,
                                       java.lang.String sqlState,
                                       int vendorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD